{ nixpkgs }:
    name :
        { dualBoot ? false } :
            let
                lib = nixpkgs.lib;
            in
                lib.nixosSystem {
                    system = "x86_64-linux";
                    modules = [
                        (lib.optional (builtins.pathExists ../machines/${name}.nix) ../machines/${name}.nix)
                        (
                            { config, pkgs, ... }: {
                                imports = [
                                    ../hardware-configuration.nix
                                ];
                            })
                    ];
                }
